=== scripts/remove-duplicates/CMakeLists.txt ===
install_script_files(remove-duplicates
  icon.png
  remove_duplicates.py
  script.ini
)
