=== debian/control ===
Source: clementine
Section: sound
Priority: optional
Maintainer: Thomas PIERSON <web.pierson@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               libqxt-dev,
               liblastfm-dev,
               libtag1-dev,
               libboost-dev,
               libboost-serialization-dev,
               libglew1.5-dev,
               libqt4-dev,
               qt4-dev-tools,
               libqt4-opengl-dev,
               libgstreamer0.10-dev,
               libprojectm-dev (>= 2.0.1+dfsg-6),
               libgstreamer-plugins-base0.10-dev,
               docbook-to-man,
               libsqlite3-dev,
               libgtest-dev,
               libmtp-dev,
               libgpod-dev,
               libimobiledevice-dev,
               libechonest-dev
Standards-Version: 3.9.2
Homepage: http://www.clementine-player.org/
Vcs-Git: git://thomaspierson.eu/pkg-clementine.git
Vcs-Browser: http://thomaspierson.eu/gitweb/?p=pkg-clementine.git;a=summary

Package: clementine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
         libqt4-sql-sqlite,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         gstreamer0.10-plugins-ugly,
         projectm-data (>= 2.0.1+dfsg-6)
Recommends: gstreamer0.10-alsa | gstreamer0.10-pulseaudio
Description: modern music player and library organizer
 Clementine is a multiplatform music player focusing on a fast and
 easy-to-use interface for searching and playing your music.
 .
 Summary of included features :
  - Search and play your local music library.
  - Listen to internet radio from Last.fm, SomaFM and Magnatune.
  - Tabbed playlists, import and export M3U, XSPF, PLS and ASX.
  - Visualisations from projectM.
  - Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
  - Edit tags on MP3 and OGG files, organise your music.
  - Download missing album cover art from Last.fm.
  - Native desktop notifications using libnotify.
  - Supports MPRIS, or remote control using the command-line.
  - Remote control using a Wii Remote, MPRIS or the command-line.
  - Copy music to your iPod, iPhone, MTP or mass-storage USB player.
  - Queue manager.
 .
 It is largely a port of Amarok 1.4, with some features rewritten to take
 advantage of Qt4.
 .
