=== debian/changelog ===
clementine (1.0.1+dfsg-2ubuntu3) quantal; urgency=low

  * debian/patches/imobiledevice.patch:
    - Upstream patch for new libimobiledevice

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 19:18:17 +0200

clementine (1.0.1+dfsg-2ubuntu2) quantal; urgency=low

  * No change rebuild with new libimobiledevice

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 18:48:37 +0200

clementine (1.0.1+dfsg-2ubuntu1) quantal; urgency=low

  * Add liblastfm1-port.patch to support liblastfm1 (LP: #1015527)
    Also sent upstream.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 25 Jun 2012 13:25:24 +0200

clementine (1.0.1+dfsg-2) unstable; urgency=low

  [ Artur Rona ]
  * Merge changes from Ubuntu. Following patches have been applied
    by upstream and can be dropped with next upstream release.
  * debian/patches/fix-desktop-file.patch:
    - Clementine is not listed in media applications (right click
      > properties > open with) due to missing %U for Exec in
      desktop file. (Closes: #666966)
  * Upgrade Build-Depends on universal libglew-dev.
  * Bump Standards-Version to 3.9.3.
  * Upgrade to debhelper 9.

  [ Thomas Pierson ]
  * Fix clementine crash using version 4.8 of libqt4-sql
    (Closes: #660714, #673556).
    Thanks to David Sansome for fixing this upstream and thanks to Micah 
    Gersten for reporting this issue on debian bt.
    - add debian/patches/fix_qtsql.patch
    - update debian/patches/series
  * Set -DCMAKE_CXX_FLAGS="-DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT" to
    stop debug output (Closes: #658224).
  * Update package repository URLs.
  * Add DM-Upload-Allowed field in debian/control.

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 24 May 2012 19:54:29 +0100

clementine (1.0.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #653926, #651611, #657391)

 -- Thomas PIERSON <web.pierson@gmail.com>  Sun, 01 Jan 2012 20:43:39 +0100
